#include <LiquidCrystal.h>
#define trigPin 12
#define echoPin 13
#define PIR 3
int Buzzer = 7;
int led = 6;
int gled = 2; 
// 16x2 LCD pins
LiquidCrystal lcd(4, 5, 8, 9, 10, 11);

long s = 0;
long ls;


void setup()
{
  // output pins
  pinMode(led, OUTPUT);
  pinMode(Buzzer, OUTPUT);
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  pinMode(PIR, INPUT); 
  // start LCD, 16x2 slots
  lcd.begin(16, 2);

}

// alarm system
void alarm()
{
  digitalWrite(led,HIGH); 

  tone(Buzzer, 400); // play 400 Hz tone for 500 ms
  delay(500);
  tone(Buzzer, 800); // play 800Hz tone for 500ms
  delay(500);
  tone(Buzzer, 400); // play 400 Hz tone for 500 ms
  delay(500);
  tone(Buzzer, 800); // play 800Hz tone for 500ms
  delay(500);
  tone(Buzzer, 400); // play 400 Hz tone for 500 ms
  delay(500);
  tone(Buzzer, 800); // play 800Hz tone for 500ms
  delay(500);
  digitalWrite(led, LOW); 
  noTone(Buzzer);
}

void loop()
{
  int sensorstate = digitalRead(PIR); 
  int duration, distance;
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(1000);
  digitalWrite(trigPin, LOW);
  duration = pulseIn(echoPin, HIGH);
  distance = (duration/2) / 29.1;

  lcd.clear();
  if (distance <= 80 && sensorstate == 1) 
  {
    // call security system
    alarm();
   
    lcd.setCursor(0, 0);
    lcd.print("ALERT!");
    lcd.setCursor(0, 1);
    lcd.print( "THEIF!!");
    // remember seconds trespassing
    ls = s*2;
    //Serial.println("Motion Detected");
  
  }else
  {
    // Last seen
    // n s. ago
    digitalWrite(gled, HIGH); 
    lcd.setCursor(0, 0);
    lcd.print("Last seen:");
    lcd.setCursor(0, 1);
    lcd.print(String(ls) + "s. ago");
    //Serial.println("Motion Ended");
    // restart the timer
    s = 0;
  }
  // delay for 1 seconds to avoid the lag
  delay(1000);
}
